Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List cloud environments
        • 🚧 [Experimental] Get cloud environment
        • 🚧 [Experimental] Create cloud environment
        • 🚧 [Experimental] Update cloud environment
        • 🚧 [Experimental] Delete cloud environment
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. CloudEnvironments
  4. 🚧 [Experimental] Update cloud environment
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Update cloud environment

Updates the passed fields of a cloud environment, including the maximum size of its storage bucket, and returns an asynchronous operation.

RequestRequest

POST

https://api.datalens.tech/rpc/updateCloudEnvironment

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "id": "example",
  "name": "example",
  "description": "example",
  "securityGroupIds": [
    "example"
  ],
  "storage": {
    "maxSize": "example"
  }
}

Name

Description

id

Type: string

ID of the cloud environment to update.

Min length: 1

Max length: 50

Example: example

description

Type: string

New description of the cloud environment. An empty string clears it.

Max length: 200

Example: example

name

Type: string

New name of the cloud environment.

Max length: 63

Pattern: ^[a-zA-Z0-9ЁёА-я]\S{1,61}[a-zA-Z0-9ЁёА-я]$

Example: example

securityGroupIds

Type: string[]

New IDs of the security groups used by the cloud environment.

Example
[
  "example"
]

storage

Type: object

maxSize

Type: string

Maximum size of the storage bucket in bytes. Zero means unlimited.

Pattern: ^\d+$

Example: example

New storage settings of the cloud environment. Fails for an environment created without storage.

Example
{
  "maxSize": "example"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Была ли статья полезна?

Предыдущая
🚧 [Experimental] Create cloud environment
Следующая
🚧 [Experimental] Delete cloud environment
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»